Subject: RE: [Simple] MSRP update

From: [email-masked]
Date: Mon, 5 Apr 2004 10:10:33 +0300

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> ext Ben Campbell
> Sent: 01.April.2004 19:05
> To: Garcia Miguel.An (Nokia-NRC/Helsinki)
> Cc: SIMPLE mailing list
> Subject: Re: [Simple] MSRP update
> 
> > 
> > 2) Connection management (section 7.2). It is written that 
> an endpoint 
> > should re-use an existing connection when the peer URL 
> matches the host 
> > part. Isn't this in contradiction with the text in section 5.1 that 
> > says, when a large file is to be sent, the endpoint should 
> create a new 
> > MSRP session to avoid blocking? I would expect that "creating a new 
> > session" comprises creating a new TCP connection as well, 
> not re-using 
> > an existing one.
> > 
> > We have similar procedures in 7.5.1, second bullet point 
> for the answer.
> > 
> 
> Yes, that needs to be rationalized. I believe I put in an open issue 
> asking if we need to discuss situations where an endpoint would 
> intentionally choose not to share a connection between 
> session. (Unless 
> I forgot. It happens).
> 
> There have been suggestions that we would remove the suggestion to 
> create a new session once we have chunking described in the 
> draft. Does 
> anyone have thoughts on this point?
> 

Yes, I suggested removing such text :) I think when chunking is introduced, the problem of blocking is reduced and therefore we don't need text suggesting the creation of a new session.

/Hisham

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple